KLDNEXT(2)

NAME
kldnext - return the fileid of the next kld file

LIBRARY
libc

SYNOPSIS
#include <sys/param.h>
#include <sys/linker.h>
int
kldnext(int fileid);

DESCRIPTION
The function kldnext() returns the fileid of the next kld file (that is, the one after fileid) or 0 if fileid is the last file loaded.

RETURN VALUES
kldnext() returns the fileid of the next kld file (see DESCRIPTION) or 0. If an error occurs, errno is set to indicate the error.

ERRORS
The only error set by kldnext() is ENOENT, which is set when fileid refers to a kld file that does not exist (isn't loaded).

SEE ALSO
kldfind(2), kldfirstmod(2), kldload(2), kldstat(2), kldunload(2), kld(4)

HISTORY
The kld interface first appeared in FreeBSD 3.0.